#!/bin/sh
# by Joe
#
# type chmod +x Alliance_DM.sh if you can't run this
# ./Alliance_DM.sh to run
# you can run it in a script:
# cd /c/quake3/alliance; ./Alliance_DM.sh 5


cd ..
echo ALLIANCE DM
echo To start a server, select one of the following:
echo 1 - Menu
echo 2 - Combat DM
echo 3 - Combat Team DM
echo 4 - Combat Tourney
echo 5 - Instagib DM
echo 6 - Combat DM '(dedicated)'
echo 7 - Combat Team DM '(dedicated)'
echo 8 - Combat Tourney '(dedicated)'
echo 9 - Instagib DM '(dedicated)'

# if arg 1 is nonzero in length:    
if [ -n "$1" ]
    then REPLY=$1
else
    read REPLY
fi

if [ $REPLY = 1 ]; then ./quake3.x86 -nosplash +set fs_game alliance; fi
if [ $REPLY = 2 ]; then ./quake3.x86 +set fs_game alliance +exec \
    combat_dm.cfg +vstr d1; fi 
if [ $REPLY = 3 ]; then ./quake3.x86 +set fs_game alliance +exec \
    combat_teamdm.cfg +vstr d1; fi 
if [ $REPLY = 4 ]; then ./quake3.x86 +set fs_game alliance +exec \
    combat_tourney.cfg +vstr d1; fi 

if [ $REPLY = 5 ]; then ./quake3.x86 +set fs_game alliance +exec \
    instagib_dm.cfg +vstr d1; fi 

if [ $REPLY = 6 ]; then ./quake3.x86 +set dedicated 2 +set fs_game \
    alliance +exec combat_dm.cfg +set fs_basepath $(/bin/pwd) +vstr \
    d1; fi 
if [ $REPLY = 7 ]; then ./quake3.x86 +set dedicated 2 +set fs_game \
    alliance +exec combat_teamdm.cfg +set fs_basepath $(/bin/pwd) \
    +vstr d1; fi 
if [ $REPLY = 8 ]; then ./quake3.x86 +set dedicated 2 +set fs_game \
    alliance +exec combat_tourney.cfg +set fs_basepath $(/bin/pwd) \
    +vstr d1; fi 

if [ $REPLY = 9 ]; then ./quake3.x86 +set dedicated 2 +set fs_game \
    alliance +exec instagib_dm.cfg +vstr d1; fi
